<bugID>413693<Summary>browser.places.createdSmartBookmarks should contain folder id</Summary><Description>We're going to be making some changes that affect how some of the smart queries are constructed. This means another migration of existing queries.

However, given how late in the beta cycle it is, it's not acceptable to add another folder like last time.

Instead we should store the smart bookmarks folder id in the pref, and have it's default be -1 (not created). This will allow us to delete the old and force recreation without duplicating the folder.</Description></bugID>